View a markdown version of this page

BatchDisassociateFindingIssue - AWS Security Agent

BatchDisassociateFindingIssue

Disassociates a batch of findings from their linked issues.

Request Syntax

POST /BatchDisassociateFindingIssue HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "codeReviewJobId": "string", "findingIds": [ "string" ], "pentestJobId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The identifier of the agent space where the job exists.

Type: String

Required: Yes

codeReviewJobId

The identifier of the code review job. This parameter is mutually exclusive with pentestJobId.

Type: String

Required: No

findingIds

The identifiers of the findings to disassociate from their issues. Each must belong to the specified job.

Type: Array of strings

Required: Yes

pentestJobId

The identifier of the penetration test job. This parameter is mutually exclusive with codeReviewJobId.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "errors": [ { "code": "string", "findingId": "string", "message": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

errors

The findings whose issue could not be disassociated.

Type: Array of BatchDisassociateFindingIssueError objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the resource.

message

Error description.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.

message

Error description.

HTTP Status Code: 404

ServiceQuotaExceededException

The request exceeds a service quota. Review your current usage and request a quota increase if needed.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: